IF OBJECT_ID('[Ældre].[DimLeverandør]','U') IS NOT NULL
BEGIN
IF NOT EXISTS (SELECT 'T' FROM [Ældre].[DimLeverandør] WHERE [DimLeverandørID] = -1 )
  INSERT INTO [Ældre].[DimLeverandør]([DimLeverandørID]) VALUES (-1)
UPDATE [Ældre].[DimLeverandør] SET
   [LeverandørKode] = -1
	,[LeverandørTekst] = 'Ukendt'
	,[KategoriTekst] = 'Ukendt'
	,[KategoriKode] = -1
	,[ErEgenKommuneTekst] = 'Ukendt'
	,[ErEgenKommune] = -1
	,[ErAndenKommuneTekst] = 'Ukendt'
	,[ErAndenKommune] = -1
	,[ErPrivatLeverandørTekst] = 'Ukendt'
	,[ErPrivatLeverandør] = -1
	,[Kommunenummer] = -1
	,[SYS_KommuneId] = 999
   WHERE [DimLeverandørID] = -1
END
GO
